---
title: String.prototype.link()
slug: Web/JavaScript/Reference/Global_Objects/String/link
tags:
  - Deprecated
  - HTML wrapper methods
  - JavaScript
  - Method
  - Prototype
  - Reference
  - String
---
<div>{{JSRef}} {{deprecated_header}}</div>

<p>The <strong><code>link()</code></strong> method creates a string representing the code for an {{HTMLElement("a")}} HTML element to be used as a hypertext link to another URL.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>str</var>.link(<var>url</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>url</var></code></dt>
 <dd>Any string that specifies the <code>href</code> attribute of the <code>&lt;a&gt;</code> element; it should be a valid URL (relative or absolute), with any <code>&amp;</code> characters escaped as <code>&amp;amp;</code>, and any <code>"</code> characters escaped as <code>&amp;quot;</code>.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A string containing an {{HTMLElement("a")}} HTML element.</p>

<h2 id="Description">Description</h2>

<p>Use the <code>link()</code> method to create an HTML snippet for a hypertext link. The returned string can then be added to the document via {{domxref("document.write()")}} or {{domxref("element.innerHTML")}}.</p>

<p>Links created with the <code>link()</code> method become elements in the <code>links</code> array of the <code>document</code> object. See {{domxref("document.links")}}.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_link">Using link()</h3>

<p>The following example displays the word "MDN" as a hypertext link that returns the user to the Mozilla Developer Network.</p>

<pre class="brush: js notranslate">var hotText = 'MDN';
var url = 'https://developer.mozilla.org/';

console.log('Click to return to ' + hotText.link(url));
// Click to return to &lt;a href="https://developer.mozilla.org/"&gt;MDN&lt;/a&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-string.prototype.link', 'String.prototype.link')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.String.link")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("String.prototype.anchor()")}}</li>
</ul>
